#include "app.hpp"

Input *App::_input;

render::sprite::TextureAtlas *App::atlas;

void App::Init()
{
    App::_input = new Input();

    App::atlas = new render::sprite::TextureAtlas("app0:/data/atlas.xml");
}

void App::Free()
{
    delete App::atlas;
    delete App::_input;
}

void App::Update()
{
    App::_input->Update();
}

const Input *App::GetInput()
{
    return App::_input;
}
